cancel
Showing results for 
Search instead for 
Did you mean: 

Install EV Prerequisites with Windows 2008 Server Manager command-line tool

I would like to install the Windows 2008 roles and features that are prerequisites for an EV installation (like IIS, MSMQ, PowerShell, ...) with the Server Manager command-line tool ServerManagerCmd.exe like described in the following TechNet article:
http://technet.microsoft.com/en-us/library/cc748918(WS.10).aspx

Does Symantec provide an XML answer file that includes all these EV prerequisites?
Or has anybody created such an answer file on his own and can share it with the community?

Thanks
Jens
1 Solution

Accepted Solutions
Accepted Solution!

Here it is!

Today I had the time to look into this in detail.

I now created an XML file to install the Windows 2008 roles and features that are prerequisites for an installation of Enterprise Vault 8 (and 9 if they don't change it after the Beta). Actually I created 2 files as you have to install the PowerShell feature for Windows 2008 but not for Windows 2008 R2, where it's alreday included by default. Both files are attached to this post.

To start the installation open a Command Prompt (run as administrator), switch to the directory where you stored the xml file and run the following command:
   ServerManagerCmd.exe -inputPath EV_Prerequisites_Win2008R2.xml -resultPath EV_result.xml
The result can be checked in the file EV_result.xml. A reboot is not required.

Regards, Jens

View solution in original post

10 Replies

Hi Jens, Symantect does not


Hi Jens,
Symantect does not have one that I am aware of, not sure about the rest of the community.

If you end up creating one I would personally like a copy!

Cheers,

Enter subject (optional)

absolutely agreed the thing is symantec have never been too happy with automatically configuring/installing things due to the fact that most companies are very strict as to how things are set up etc I mean look at the reports configuration, we do all that and more and more customers hate it because they want to install it themselves
https://www.linkedin.com/in/alex-allen-turl-07370146

I'd like a copy of the file too!


Hi Jens,

A copy of the file would be nice.
Regards. Gertjan
Accepted Solution!

Here it is!

Today I had the time to look into this in detail.

I now created an XML file to install the Windows 2008 roles and features that are prerequisites for an installation of Enterprise Vault 8 (and 9 if they don't change it after the Beta). Actually I created 2 files as you have to install the PowerShell feature for Windows 2008 but not for Windows 2008 R2, where it's alreday included by default. Both files are attached to this post.

To start the installation open a Command Prompt (run as administrator), switch to the directory where you stored the xml file and run the following command:
   ServerManagerCmd.exe -inputPath EV_Prerequisites_Win2008R2.xml -resultPath EV_result.xml
The result can be checked in the file EV_result.xml. A reboot is not required.

Regards, Jens

View solution in original post

10 points from holland for Germany

Thanks Jens,

for taking the time to put this together and to make it available.

I'll test tomorrow!

Gertjan
Regards. Gertjan

For more information check

For more information check the following TechNet article:

Windows Server 2008:
http://technet.microsoft.com/en-us/library/cc731774(WS.10).aspx
Windows Server 2008 R2
http://technet.microsoft.com/en-us/library/cc731774.aspx

( the one in my first post was for Windows Vista ;)

very cool indeed! would have

very cool indeed! would have come in handy the other day when i built a couple new EV servers in the lab. i'm saving this one!

hang on, this removes all the

hang on, this removes all the fun of mindlessly clicking the checkboxes next to every, single, pre....req
https://www.linkedin.com/in/alex-allen-turl-07370146

We no longer need to worry about 2008 pre reqs

We no longer need to worry about 2008 pre reqs because 2008 isn't supported!!

ftp://ftp.support.veritas.com/pub/support/products/Exchange_Mailbox_Archiving_Unit/276547.pdf

Not sure what you mean. 


Not sure what you mean.  Windows Server 2008 x64 edition (using WOW64) is supported.